output "frontend_internal_ip" {
  value = google_compute_instance.frontend.network_interface[0].network_ip
}

output "frontend_public_ip" {
  value = google_compute_instance.frontend.network_interface[0].access_config[0].nat_ip
}

output "backend_internal_ip" {
  value = google_compute_instance.backend.network_interface[0].network_ip
}

output "database_internal_ip" {
  value = google_compute_instance.database.network_interface[0].network_ip
}

output "instance_names" {
  value = [
    google_compute_instance.frontend.name,
    google_compute_instance.backend.name,
    google_compute_instance.database.name,
  ]
}